body {
    font-family: sans-serif;
    background-color: #fdfdfd;
    color: #333;
    margin: 0;
    padding: 0;
    line-height: 1.6;
}

header,
footer {
    background-color: #fdfdfd;
    color: #333;
    padding: 1em;
    text-align: center;
}

nav {
    margin: 1em 0;
    text-align: center;
}

nav a {
    margin: 0 15px;
    text-decoration: none;
    color: #007bff;
    font-weight: bold;
}

nav a:hover {
    color: #0056b3;
}

main {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #fdfdfd;
}

img {
    max-width: 100%;
    max-height: 100vh;
    height: auto;
    display: block;
    margin: 1em auto;
}

h1 {
    text-align: center;
    font-size: 2.5em;
    margin: 0;
}

section {
    margin-bottom: 2em;
}

section h2 {
    font-size: 1.5em;
    color: #555;
}

ul {
    list-style-type: none;
    padding: 0;
}

ul li {
    padding: 0.5em 0;
}

ul li a {
    text-decoration: none;
    color: #007BFF;
}

ul li a:hover {
    text-decoration: underline;
}

ol {
    padding-left: 1.5em;
}

figure {
    margin: 1em 0;
    text-align: center;
}

figcaption {
    font-size: 0.9em;
    color: #666;
    font-style: italic;
    margin-top: 0.5em;
}

footer a {
    color: #007BFF;
    margin: 0 10px;
}

.centered-table-wrapper {
    display: flex;
    justify-content: center;
    overflow-x: auto;
    margin-top: 1em;
}

table {
    border-collapse: collapse;
    width: 100%;
    max-width: 100%;
}

th,
td {
    border: 1px solid #ccc;
    padding: 0.5em;
    text-align: left;
}

th {
    background-color: #f0f0f0;
}

pre,
code {
    overflow-x: auto;
}

.note {
    padding: 0.75em 1em;
    border: 1px solid #ccc;
    margin: 1em 0;
}
